function __processArg(obj, key) {
    var arg = null;
    if (obj) {
        arg = obj[key] || null;
        delete obj[key];
    }
    return arg;
}

function Controller() {
    require("alloy/controllers/BaseController").apply(this, Array.prototype.slice.call(arguments));
    this.__controllerPath = "touch";
    this.args = arguments[0] || {};
    if (arguments[0]) {
        {
            __processArg(arguments[0], "__parentSymbol");
        }
        {
            __processArg(arguments[0], "$model");
        }
        {
            __processArg(arguments[0], "__itemTemplate");
        }
    }
    var $ = this;
    var exports = {};
    $.__views.touch = Ti.UI.createView({
        layout: "vertical",
        id: "touch"
    });
    $.__views.touch && $.addTopLevelView($.__views.touch);
    $.__views.try_me = Ti.UI.createLabel({
        width: Ti.UI.SIZE,
        height: Ti.UI.SIZE,
        color: "#000",
        font: {
            fontSize: 20,
            fontFamily: "Helvetica Neue"
        },
        textAlign: "center",
        id: "try_me",
        text: "try me"
    });
    $.__views.touch.add($.__views.try_me);
    $.__views.lock = Ti.UI.createLabel({
        width: Ti.UI.SIZE,
        height: Ti.UI.SIZE,
        color: "#000",
        font: {
            fontSize: 20,
            fontFamily: "Helvetica Neue"
        },
        textAlign: "center",
        id: "lock",
        text: "lock 'try me'"
    });
    $.__views.touch.add($.__views.lock);
    exports.destroy = function() {};
    _.extend($, $.__views);
    var locked = false;
    $.try_me.addEventListener("click", function() {
        console.log("try me touch enabled: " + $.try_me.touchEnabled);
        $.try_me.touchEnabled || console.log("supposed to be locked");
    });
    $.lock.addEventListener("click", function() {
        console.log("set try me touch enabled = " + locked);
        $.try_me.touchEnabled = locked;
        $.lock.text = (locked ? "" : "un") + "lock 'try me'";
        locked = !locked;
    });
    _.extend($, exports);
}

var Alloy = require("alloy"), Backbone = Alloy.Backbone, _ = Alloy._;

module.exports = Controller;